Subject: Re: bug#17505: Pádraig: does this solve your consistency concern? (was bug#17505: dd statistics output)

From: Linda Walsh <[email-masked]>
Date: Sun, 27 Jul 2014 10:11:58 -0700

Pádraig Brady wrote:
> 
> That was the original approach but is a bit worse than the dynamic approach
> since it's common to specify transfer sizes in IEC units for SI sized data.
----
It is more common to specify transfer sizes in SI and mean IEC if you
are in the US where the digital computer was created.

People in the US have not adopted SI units and many wouldn't know
a meter from a molehill, so SI units aren't the first thing that
they are likely to be meaning.  Computer scientists and the industry here,
grew up with using IEC prefixes where multiples of 8 are already in
use.  I.e. if you are talking *bytes*, you are using base 2.

It is inconsistent to switch to decimal prefixes when talking about
binary numbers.

OTOH, if you are talking *bits*, I would say usage meaning SI units
are more common.

Bytes = 2^3 bits.  not 10 bits.

Now I was willing to go so far as to not force incompatible or bad
nomenclature upon others, but to use their own nomenclature when
replying to them.

If someone came up to you and spoke a question in French, would you
answer them in English and make some comment about people using
French by accident and they really mean to use English?

If you goal was clear communication, you'd try to answer in the language
they were querying in (presuming you knew it).  Only giving responses
in English, when you accept input in French, would likely be thought
insulting.

If people are that concerned to get the output they want in "SI", they
might be bothered to use it on input (or read the manpage and
find out how to make it happen).  For those that are concerned to get the
output they want in computer compatible binary, you seem to be
saying they are S-O-L, which seems a poor and selfish attitude to
be taking.

> BTW I was playing devil's advocate with my mention of the SIGUSR1 inconsistency.
> I'm still of the opinion that the dynamic switch of human units based on
> current transferred amount is the lesser of two evils, since this output
> is destined for human consumption.
====
	If it is for human consumption, humans like consistency --
if they speak to you in 1 language, they likely appreciate being
replied to in the same .. same goes for terminology and units.

	If someone asks you how many kilometers it is to XXX and
you come back with 38 miles, you think that's a user friendly design?

> cheers,
> Pádraig.